Subject: ppc4xx_find_bridges( ) hangs kernel on Xilinx ML300 (PCI)

From: Mike Wellington <[email-masked]>
Date: Mon, 19 Apr 2004 13:48:36 -0600

Hi-
   I am trying to port the Xilinx PCI code to
an embedded linux kernel.  The code calls
ppc4xx_find_bridges( ) during the kernel initialization
and hangs the kernel.

   I built the GPL 2.4 kernel from the Open Source
archives and it hangs also.

   Then I copied ppc405_pci.c from the GPL source
to my kernel tree and copied  head_4xx.S from the
GPL source to my kernel tree and it still
hangs.

   I'm starting to wonder if there is something
wrong with the PCI support for the Xilinx OCP PCI
core.

   Does anybody have a working PCI device on a
Xilinx Virtex-II Pro using the Xilinx-supplied
PCI core?

-mike wellington
  [email-masked]
  [email-masked]

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/